/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32A239
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "gpio_demo.h"
#include "uart_demo.h"
#include "tim_demo.h"
#include "delay_demo.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/

int main()
{
    uint32_t msCnt;     // count value of 1ms
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------
    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);
    Uart0_Init(19200);



    /*Example1:Tim4 operates output square wave*/
//	Tim40_SquareOutput();
//	TIM_Start(TM40,TIM_Index_Channel0);
    /*Example2:Tim4 operates output different duty pwm*/
     Tim40_PwmOutput1_2(100,60,80);
	TIM_Start(TM40,TIM_Index_Channel0);
	TIM_Start(TM40,TIM_Index_Channel2);
	TIM_Start(TM40,TIM_Index_Channel1);
//    //  Tim40_PwmOutput1_1(100,60);
//    Tim40_PwmOutput2_2(100, 60, 200, 80);

    /*Example3:Tim4 operates output different duty pwm*/	
//    Tim40_PwmOutput2_2(100, 60, 200, 80);
//	TIM_Start(TM40,TIM_Index_Channel0);
//	TIM_Start(TM40,TIM_Index_Channel2);
//	TIM_Start(TM40,TIM_Index_Channel1);	
//	TIM_Start(TM40,TIM_Index_Channel3);

}




