#ifndef __IIC_DEMO_H__
#define __IIC_DEMO_H__
#include "iic.h"
#include "common.h"
#include "gpio.h"
#define IIC_NO_ACK   1
#define IIC_OVF_RUN   2
typedef enum
{
    SCI_IIC_IDLE = 0,
    SCI_IIC_SEND = 1,
    SCI_IIC_RECV = 2,
    SCI_IIC_SENDADR = 4,
} IIC_STATUS;
void iic01_interrupt(void *msg);

void Iic0_Init(void);
void Iic_Write(SCIAFSelect_TypeDef func, uint8_t address, uint8_t *tx_buf, uint16_t tx_num);
void IIC_WriteBuff(SCIAFSelect_TypeDef func, uint8_t address, uint8_t Reg, uint8_t *Bufp, uint8_t len);
void IIC_ReadBuff(SCIAFSelect_TypeDef func, uint8_t I2c_Add, uint8_t Reg, uint8_t *Bufp, uint8_t len);

#endif
