/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :  
* Device(s)    : BAT32A239
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2019/4/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "gpio_demo.h"
#include "uart_demo.h"
#include "timm_demo.h"
#include "delay_demo.h"


/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/

int main()
{
	uint32_t msCnt; 	// count value of 1ms
	uint32_t width, period;
//-----------------------------------------------------------------------
// Systick setting 
//-----------------------------------------------------------------------   
	SystemCoreClockUpdate();
	msCnt = SystemCoreClock / 1000;
	SysTick_Config(msCnt); 
    delay_init(SystemCoreClock);
    Uart0_Init(19200);

	/*32MƵʱΪ1Mʱ(1/1000000) *10000 =10ms*/
	TMM0_IntervalTimer(TMM_FCLK_Div32, 10000);
	TMM0_Start(ENABLE);
	while(1)
	{
		if(interval_time_flag)
		{
			interval_time_flag = 0;
			printf("TimM0_IntervalTimer\r\n");			
		}	

	}	
}




