#ifndef __COMMON_H__
#define __COMMON_H__

#include "BAT32A239.h"

#if defined BAT32G139_80PIN || defined BAT32A239_80PIN
	#define BAT32G1XX_80PIN
#elif defined BAT32G139_64PIN || defined BAT32A239_64PIN
	#define BAT32G1XX_64PIN
#elif defined BAT32G139_48PIN || defined BAT32A239_48PIN
	#define BAT32G1XX_48PIN
#endif
typedef enum {RESET = 0, SET = !RESET} FlagStatus, ITStatus;
typedef enum {ERROR = 0, SUCCESS = !ERROR} ErrorStatus;

typedef enum {DISABLE = 0, ENABLE = !DISABLE} FunctionalState;
#define IS_FUNCTIONAL_STATE(STATE) (((STATE) == DISABLE) || ((STATE) == ENABLE))
//#define SPI_INTERFACE

#endif
